### Function

# Camel utils_sanitize_ascii_domain_in_url

since: 3.44

#### Declaration [src]

    gboolean
    camel_utils_sanitize_ascii_domain_in_url (
      CamelURL* url
    )

#### Description [src]

Checks whether the host name of the `url` requires conversion to ASCII and converts it, if needed.

Available since: 3.44

#### Parameters

`url`

  Type: `CamelURL`

  A `CamelURL`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE`, when the conversion was required.

See: camel_hostname_utils_requires_ascii(), camel_utils_sanitize_ascii_domain_in_url_str().